# -*- coding: utf-8 -*-
import pytest

import pytrapi
import datetime


def test_api_request_invasions():
    resp_data = pytrapi.api_request(pytrapi.INVASIONS_API_URL)
    assert 'invasions' in resp_data


def test_request_active_invasions():
    resp = pytrapi.request_active_invasions()
    assert isinstance(resp.update_date, datetime.datetime)
    assert resp.update_date.tzinfo is not None
    assert isinstance(resp.invasions, dict)


@pytest.mark.parametrize(('timestamp', 'expected'), [
    [0, datetime.datetime(1970, 1, 1, 0, 0, tzinfo=datetime.timezone.utc)],
    [1487945511, datetime.datetime(2017, 2, 24, 14, 11, 51, tzinfo=datetime.timezone.utc)],
])
def test__utc_from_timestamp(timestamp, expected):
    assert expected == pytrapi._utc_from_timestamp(timestamp)
